Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QSsl.KeyType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.network.QSsl.KeyType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  QSsl

    public static final class QSsl.KeyType

extends java.lang.Enum
implements QtEnumerator

Describes the two types of keys QSslKey supports.

See Also:
  Serialized Form

Field Summary
`static QSsl.KeyType` | `PrivateKey` A private key.
`static QSsl.KeyType` | `PublicKey` A public key.

Method Summary
`static QSsl.KeyType` | `resolve(int value)` Returns the KeyType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSsl.KeyType` | `valueOf(java.lang.String name)`
`static QSsl.KeyType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PrivateKey

    public static final QSsl.KeyType PrivateKey

  A private key.

### PublicKey

    public static final QSsl.KeyType PublicKey

  A public key.

Method Detail

### values

    public static QSsl.KeyType[] values()

### valueOf

    public static QSsl.KeyType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSsl.KeyType resolve(int value)

  Returns the KeyType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD